extends Area2D

func _on_area_2d_input_event(_viewport, event, shape_idx: int) -> void:
	if event is InputEventMouseButton and event.pressed and event.button_index == MOUSE_BUTTON_LEFT:
		match shape_idx:
			0:
				_on_left_clicked()
			1:
				_on_right_clicked()

func _on_left_clicked() -> void:
	get_tree().change_scene_to_file("res://game.tscn")

func _on_right_clicked() -> void:
	get_tree().quit()


func _on_video_stream_player_finished() -> void:
	pass # Replace with function body.
